﻿@model BrowseViewModel
@{
    ViewData["Title"] = "Browse";

    // Group into batches of 3
    var grouped = Model.Projects
        .Select((p, i) => new { i, Project = p })
        .GroupBy(p => p.i / 3)
        .Select(g => g.Select(p => p.Project));
}

<div class="row">
    <div class="col-md-12">
        <h1 class="display-4">Browse</h1>
    </div>
</div>
<div class="row mt-3">
    <div class="col-md-12">
        @foreach (var group in grouped)
        {
        <div class="card-deck mb-4">
            @foreach (var project in group)
    {
            <div class="card">
                <a href="/p/@project.ShortName">
                    <img class="card-img-top" src="@($"https://s3.us-east-2.amazonaws.com/lpad-assets/{project.ShortName}_logo")" alt="Card image cap">
                    <div class="card-body">
                        <h5 class="card-title">@project.Name</h5>
                        <p class="card-text">@project.Description</p>
                    </div>
                    <div class="card-footer">
                        <small class="text-muted">@project.Raised/@project.Target XLM raised, ends @project.EndTime.ToString("d MMM yyyy")</small>
                    </div>
                </a>
            </div>
}

            @foreach (var placeholder in Enumerable.Range(0, 3 - group.Count()))
            {
               <div class="card" style="border: none;"></div>
            }
        </div>
        }
    </div>
</div>